    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.MenuShortcut

    java.lang.Object
       |
       +----java.awt.MenuShortcut

public class MenuShortcut
extends Object
implements Serializable

A class which represents a keyboard accelerator for a MenuItem.

##

MenuShortcut(int)
  Constructs a new MenuShortcut for the specified key.
MenuShortcut(int, boolean)
  Constructs a new MenuShortcut for the specified key.

##

equals(MenuShortcut)
  Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.
getKey()
  Return the raw keycode of this MenuShortcut.
paramString()
toString()
  Returns an internationalized description of the MenuShortcut.
usesShiftModifier()
  Return whether this MenuShortcut must be invoked using the SHIFT key.

##

MenuShortcut

     public MenuShortcut(int key)

  Constructs a new MenuShortcut for the specified key.

  Parameters:
    key - the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a KeyEvent if this key were pressed.

MenuShortcut

     public MenuShortcut(int key,
                         boolean useShiftModifier)

  Constructs a new MenuShortcut for the specified key.

  Parameters:
    key - the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a KeyEvent if this key were pressed.
    useShiftModifier - indicates whether this MenuShortcut is invoked with the SHIFT key down.

##

getKey

     public int getKey()

  Return the raw keycode of this MenuShortcut.

usesShiftModifier

     public boolean usesShiftModifier()

  Return whether this MenuShortcut must be invoked using the SHIFT key.

equals

     public boolean equals(MenuShortcut s)

  Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.

  Parameters:
    s - the MenuShortcut to compare with this.

toString

     public String toString()

  Returns an internationalized description of the MenuShortcut.

  Overrides:
    toString in class Object

paramString

     protected String paramString()

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.